Description

Just a fyi, | just tried to use BJ Zarkol in Labs and noticed the script no longer functions as it did before. The toons don't move to the
predetermined campspot although when | look in the console the same message: BJ Movement Message: ISXEQ2 CAN'T
READ..etc etc is still showing.

Not the end of the world, | just pulled and hit CometoMe and all was well.

I'll run the rest of the zone and test the others. Failed worked and the added campspots and moving to the blobs after killing the
name was a very nice touch!

History

#1 - 2014-10-12 12:53 AM - cdbandit

Sunomi wrote:
Just a fyi, | just tried to use BJ Zarkol in Labs and noticed the script no longer functions as it did before. The toons don't move to the
predetermined campspot although when | look in the console the same message: BJ Movement Message: ISXEQ2 CAN'T READ..etc etc is still

showing. Not the end of the world, I just pulled and hit CometoMe and all was well.  I'll run the rest of the zone and test the others. Failed
worked and the added campspots and moving to the blobs after killing the name was a very nice touch!

Have encountered this problem also. Appears that all movement commands are broken after using BJ Zarkol. Having to relog to fix issue.

#2 - 2014-10-12 04:51 PM - bjcasey
- Status changed from New to Feedback Required

| just ran this.

1. Killed all the trash around him.
2. Used my MCP button to bring up the Set Up Ul Selector.
3. Chose Zarkol and hit send.

All of my characters ran to the set up spot.

Could you give me any reproduction steps to follow? There is also a limited function debug command you can use. Type the following into the
in-game Innerspace console: a_BJMovement_DebugBools

Copy and paste the response.

#3 - 2014-10-16 08:23 PM - Sunomi

| setup the exact way you do, clear the trash bring up the Ul selector and hit send and typically a waypoint would pop-up and the toons would move to
the South campspot. Now when | hit send they appear to campspot or holdup/nomove whever im standing but never actually move. Here is the
debug output, please let me know if this is what you're looking for.

23:17:58: SafeLocation: FALSE

23:17:58: BJStinas: FALSE

283:17:58: BJStinasGroupSet: FALSE
23:17:58: BJWelkus: FALSE

23:17:58: BJFherin: FALSE

23:17:58: BJFherinReadyToMove: FALSE
23:17:58: BJFailed: TRUE
23:17:58: BJMerrig: FALSE

23:17:58: BJExperiment: FALSE

23:17:58: BJExperimentFighterMove: FALSE
23:17:58: BJGangel: FALSE

23:17:58: BJEngineer: FALSE

23:17:58: BJEngineerJoustOut: FALSE
23:17:58: BJDagrin: FALSE

23:17:58: BJGetiar: FALSE

23:17:58: BJGetiarFighterMove: FALSE
23:17:58: BJScorcher: FALSE

23:17:58: BJScorcherCounterReverse: FALSE
23:17:58: BJScorcher_StandingFire: FALSE
283:17:58: BadLocation: NULL

23:17:58: bStoredSafeLocation: NULL

nospace: execute "LavishScript:ExecuteAtom[BJMovement_onincomingChatText,15,Set up for BJ...,ToonName]"

Selected Command: Set up for BJ Zarkol

23:20:33: B MOVEMENT MESSAGE: ISXEQ2 CAN'T READ THE RED CIRCLES SO THERE IS NO WAY TO 100% AVOID THEM. SHOULDN'T
MATTER BECAUSE YOU ARE AT YOUR KEYBOARD RIGHT?

23:20:33: B MOVEMENT MESSAGE: ISXEQ2 CAN'T READ THE RED CIRCLES SO THERE IS NO WAY TO 100% AVOID THEM. SHOULDN'T
MATTER BECAUSE YOU ARE AT YOUR KEYBOARD RIGHT?

23:20:33: B MOVEMENT MESSAGE: ISXEQ2 CAN'T READ THE RED CIRCLES SO THERE IS NO WAY TO 100% AVOID THEM. SHOULDN'T
MATTER BECAUSE YOU ARE AT YOUR KEYBOARD RIGHT?

23:20:33: B MOVEMENT MESSAGE: ISXEQ2 CAN'T READ THE RED CIRCLES SO THERE IS NO WAY TO 100% AVOID THEM. SHOULDN'T
MATTER BECAUSE YOU ARE AT YOUR KEYBOARD RIGHT?

23:20:33: B MOVEMENT MESSAGE: ISXEQ2 CAN'T READ THE RED CIRCLES SO THERE IS NO WAY TO 100% AVOID THEM. SHOULDN'T
MATTER BECAUSE YOU ARE AT YOUR KEYBOARD RIGHT?

23:20:33: B MOVEMENT MESSAGE: ISXEQ2 CAN'T READ THE RED CIRCLES SO THERE IS NO WAY TO 100% AVOID THEM. SHOULDN'T
MATTER BECAUSE YOU ARE AT YOUR KEYBOARD RIGHT?

#4 - 2014-10-16 08:43 PM - Sunomi

Interestingly enough, only Failed worked this time using the Ul selector but none of the fights after whereas before | was just having an issue with
Zarkol. Even with The Experiment, the toons campspot but never move to the "correct" campspot including the tank.

Update - For Gangel, | walked into the room down the stairs and hit send and only my tanked moved into place while the rest of the group didnt
budge. The script itself for this fight appears to be wrkign as the tank clicked the chest to spawn the x2 and targets himself during the fight.

#5 - 2014-10-17 07:09 AM - bjcasey

This will be included in Test Patch # 89 shortly. Once you can confirm that this is working correctly, | would appreciate any other encounter bug
reports for Labs of Mutation. The bug with The Failed Mutation was interfering with Zarkol.

From the patch notes:
e Temple of Veeshan: Laboratory of Mutation (Heroic)

o Corrected a bug with the Failed Mutation encounter scripting where it would fail to auto-disable after the encounter was completed. This
was blocking the proper operation of all encounters after it.

#6 - 2014-10-25 07:38 AM - bjcasey

- Status changed from Feedback Required to Resolved

Without feedback, I'm going to assume that this is now working correctly. Updating this as resolved.
